# Order Photos or Documentation of Your Cage ![](https://docs.equinix.com/assets/images/OrderPhotosOrDocumentationOfYourCage-dc586ada4ab1e24af7d323b661f38494.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. To get Smart Hands details, you must have `Smart Hands` permission. 2. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 3. Get Smart Hands Types - Send a `GET` request to the [`/v1/orders/smarthands/types`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/smarthandtypes.md) endpoint to get all Smart Hands order types. You may skip this step if you already know the Smart Hands order type. 4. Get Location Information - Send a `GET` request to the [`/v1/orders/smarthands/locations`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/getlocation.md) endpoint to retrieve available IBX locations that you have access to. You may skip this step if you already know the location information. ## Order Cage Photos or Documentation - minimal example[​](#order-cage-photos-or-documentation---minimal-example "Direct link to Order Cage Photos or Documentation - minimal example") To request an IBX technician to provide cage-related pictures or documentation, send a `POST` request to the [`v1/orders/smarthands/picturesDocument`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/handlesmarthandpicturesdocumentorder.md) endpoint. Provide the service details in the body of the request. Sample cURL Request: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/picturesDocument" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "documentOnly": false,     "cameraProvidedBy": "Equinix",     "specificDateAndTime": true,     "description": "Take a photo of the patch panel cable arrangement, to include all labels clearly.",     "scopeOfWork": "Indicate what camera was used, and provide the photos in print size 3.6 x 3.007 inches.",   },   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "purchaseOrder": {     "purchaseOrderType": "NEW",     "number": "1037503648"   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "userName": "johndoe",       "workPhonePrefToCall": "ANYTIME"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     }   ] }' ``` Sample Response: ``` {   "OrderNumber": "1-457809872838" } ``` The response indicates the order was successful and returns the order number. ## Order Cage Photos or Documentation - extended example[​](#order-cage-photos-or-documentation---extended-example "Direct link to Order Cage Photos or Documentation - extended example") To request an IBX technician to provide cage-related pictures or documentation, send a `POST` request to the [`v1/orders/smarthands/picturesDocument`](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/handlesmarthandpicturesdocumentorder.md) endpoint. Provide the service details in the body of the request. Use the `attachments` object to include additional details for a technician. > **Note** > > Before creating an order with attachment, call the [`Attachments File`](https://docs.equinix.com/api-catalog/attachmentsv1/attachments/createattachment.md) endpoint. ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/picturesDocument" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [       {         "cage": "AM1:0J:00JD11",         "cabinets": [           "AM1:0J:00JD11:0001"         ],         "accountNumber": "126854"       }     ]   },   "serviceDetails": {     "documentOnly": false,     "cameraProvidedBy": "Equinix",     "specificDateAndTime": true,     "description": "Take a photo of the patch panel cable arrangement, to include all labels clearly.",     "scopeOfWork": "Indicate what camera was used, and provide the photos in print size 3.6 x 3.007 inches.",     "needSupportFromASubmarineCableStationEngineer": true   },   "attachments": [     {       "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",       "name": "SupportingPhotos.docx"     }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },   "customerReferenceNumber": "EQX-PO2019-08-001",   "purchaseOrder": {     "purchaseOrderType": "EXEMPTED",     "attachment": {       "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",       "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {       "contactType": "ORDERING",       "userName": "johndoe"     },     {       "contactType": "TECHNICAL",       "name": "Jane Smith",       "email": "janesmith@corporation.com",       "workPhoneCountryCode": "+44",       "workPhone": "0148211111",       "workPhonePrefToCall": "MY_BUSINESS_HOURS",       "workPhoneTimeZone": "Europe/London",       "mobilePhoneCountryCode": "+44",       "mobilePhone": "0123456789",       "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",       "mobilePhoneTimeZone": "Europe/London"     },     {       "contactType": "NOTIFICATION",       "userName": "johndoe"     },     {       "contactType": "NOTIFICATION",       "userName": "jillsnow"     }   ] }' ``` For a complete list of body parameters and descriptions, see [the API Reference](https://docs.equinix.com/api-catalog/smarthandsv1/smarthands/handlesmarthandpicturesdocumentorder.md).